base/urls.py
from django.conf.urls import url

from base.views import homepage

urlpatterns = [
    url(r'^$', homepage, name='home'),
]

finem_imperii/urls.py
from django.conf.urls import url, include
from django.contrib import admin

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^', include('base.urls', namespace='base'), name='base'),
    url(r'^', include('account.urls', namespace='account'), name='account'),
    url(r'^', include('world.urls', namespace='world'), name='world'),
    url(r'^character/', include('character.urls', namespace='character'), name='character'),
    url(r'^unit/', include('unit.urls', namespace='unit'), name='unit'),
    url(r'^messaging/', include('messaging.urls', namespace='messaging'), name='messaging'),
    url(r'^organization/', include('organization.urls', namespace='organization'), name='organization'),
    url(r'^battle/', include('battle.urls', namespace='battle'), name='battle'),
    url(r'^help/', include('help.urls', namespace='help'), name='help'),
]

help/urls.py
from django.conf.urls import url
from django.views.generic.base import TemplateView

urlpatterns = [
    url(r'^$', TemplateView.as_view(template_name='help/home.html'), name='home'),
    url(r'^fundamental$', TemplateView.as_view(template_name='help/fundamental.html'), name='fundamental'),
    url(r'^design', TemplateView.as_view(template_name='help/design.html'), name='design'),
    url(r'^mechanics', TemplateView.as_view(template_name='help/mechanics.html'), name='mechanics'),
    url(r'^about$', TemplateView.as_view(template_name='help/about.html'), name='about'),
]

help/templates/help/about.html
{% extends "base/base.html" %}

{% block content %}

    <div class="text-center col-lg-6 col-lg-offset-3">
        <h1 class="page-header">Finem Imperii</h1>
        <p>
            You will find the source code and ways to contribute to this
            project in its
            <a href="https://github.com/jardiacaj/finem_imperii">GitHub page</a>.
        </p>
        <p>
            Copyright © 2016-2017
        </p>
        <p>
            <b>Project creator</b><br>
            <a href="http://joanardiaca.net">Joan Ardiaca Jové</a>
        </p>
        <p>
            <b>Thanks to the contributors</b><br>
            <a href="https://github.com/StegSchreck">Sebastian Schreck</a><br>
            <a href="https://github.com/sandeel">sandeel</a><br>
            <b>Lots of love to you all!</b>
        </p>
        <p>
            This project includes non-free content:<br>
            Some icons designed by
            <a href="https://smashicons.com">Smashicons from Flaticon</a>
        </p>
        <p>
            This program is free software: you can redistribute it and/or modify
            it under the terms of the GNU Affero General Public License as published by
            the Free Software Foundation, either version 3 of the License, or
            (at your option) any later version.
        </p>
        <p>
            This program is distributed in the hope that it will be useful,
            but WITHOUT ANY WARRANTY; without even the implied warranty of
            MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
            <a href="https://www.gnu.org/licenses/agpl-3.0-standalone.html">
            GNU Affero General Public License</a> for more details.
        </p>
        <p>

        </p>
    </div>

{% endblock %}

help/templates/help/fundamental.html
{% extends "base/base.html" %}

{% block content %}

    <div class="col-lg-6 col-lg-offset-3">
        <h1 class="page-header">The game in one minute</h1>

        {% include 'help/fundamental_content.html' %}

    </div>

{% endblock %}

help/templates/help/fundamental_content.html
<p>
    In Finem Imperii you can create up to 3 characters in fictional
    open worlds. Each character will start in a realm of your choice.
</p>

<h5 id="turns_time">
    Turns and time
</h5>

<p>
    Your character will start with 15 days available to spend in whichever
    actions you choose. Some actions will cost little or no time,
    while other may cost most of the time your character has.
</p>

<p>
    Each day at 8:00 AM and 8:00 PM Central European Time (or summer time) a
    turn will pass for all characters. This will regenerate the
    amount of time your character can use.
</p>

<p>
    Some actions will only take effect when a turn passes, for example, when
    you travel to a different region.
</p>

<h5 id="on_cooperation">
    On cooperation
</h5>

<p>
    Trying to go your own way without cooperating with others is definitely
    the hard way to play this game. You are much more likely to be successful
    and have a larger impact in the world by playing together with others,
    especially if you are new to the game.
</p>

<p>
    The most common way to play is by taking an active part in a realm and
    stay faithful to it, obeying superiors and eventually gaining more
    influence or even reaching some position of responsibility. Maybe you
    can even get to lead a realm! But, of course, it's entirely up to you to
    choose how you want to play your character.
</p>

<p>
    The main form of communication is via text messages.
</p>

<h5 id="power_relationships">
    Power relationships
</h5>

<p>
    Relationships of power of some characters over others is a key aspect
    of this game. You should try to be always aware of those relationships,
    especially those affecting your character directly. You want to avoid
    faux pas with those who have direct influence on your own character.
</p>

<p>
    But being aware of power relationships among your rivals can also prove
    useful. Disabling the leader of an enemy realm is always very useful
    on your way to victory.
</p>

<h5 id="you_vs_your_character">
    You vs. your character
</h5>

<p>
    Finem Imperii is a role-playing game. That means that you should play the
    role of your character and understand that your chacater and you are
    different people. Much like
    <a href="https://en.wikipedia.org/wiki/Johnny_Depp">Johnny Depp</a> and
    <a href="https://en.wikipedia.org/wiki/Jack_Sparrow">Captain Jack
    Sparrow</a>: Johnny plays the character, but he is not <i>really</i> a
    pirate. He is just playing a role.
</p>

<p>
    In many games you find yourself doing things you would never do in real
    life. In this game you should find yourself also talking in ways you would
    not do in real life. You want to communicate appropiately according to
    the situation. For example, if you are just a newcomer to a realm and
    write a letter to your King, you may want to be courteous and humble.
    You don't want to anger your King, do you?
</p>

<h5 id="read_more">
    Read more
</h5>

<p>
    You can always find more help and information in the
    <a href="{% url 'help:home' %}">help section</a>. There is a link in the
    top right of this site. You may also find help links marked with the
    question mark symbol
    <span class="glyphicon glyphicon-question-sign" aria-hidden="true"></span>.
</p>

help/templates/help/home.html
{% extends "base/base.html" %}

{% block content %}

    <div class="col-lg-6 col-lg-offset-3">
        <h1 class="page-header">Game Manual sections</h1>

        <h4>General topics</h4>
        <ol class="lead">
            <li>
                <a href="{% url 'help:fundamental' %}">Quick intro</a>
                <ul>
                    <li><a href="{% url 'help:fundamental' %}#turns_time">Turns and time</a></li>
                    <li><a href="{% url 'help:fundamental' %}#on_cooperation">On cooperation</a></li>
                    <li><a href="{% url 'help:fundamental' %}#power_relationships">Power relationships</a></li>
                    <li><a href="{% url 'help:fundamental' %}#you_vs_your_character">You vs. your character</a></li>
                    <li><a href="{% url 'help:fundamental' %}#read_more">Read more</a></li>
                </ul>
            </li>
            <li>
                <a href="{% url 'help:design' %}">Game design</a>
                <ul>
                    <li><a href="{% url 'help:design' %}#introduction">Introduction</a></li>
                    <li><a href="{% url 'help:design' %}#open_world_game_objectives">Open world and game objectives</a></li>
                    <li><a href="{% url 'help:design' %}#player_commitment">Player commitment</a></li>
                    <li><a href="{% url 'help:design' %}#passage_of_time">Passage of time</a></li>
                    <li><a href="{% url 'help:design' %}#role_playing">Role playing</a></li>
                    <li><a href="{% url 'help:design' %}#organizations_power_relationships">Organizations and power relationships</a></li>
                    <li><a href="{% url 'help:design' %}#militaristic_war">Militaristic and war</a></li>
                    <li><a href="{% url 'help:design' %}#territory_demographics">Territory and demographics</a></li>
                    <li><a href="{% url 'help:design' %}#economy">Economy</a></li>
                    <li><a href="{% url 'help:design' %}#characters_users">Characters and users</a></li>
                </ul>
            </li>
            <li>
                <a href="{% url 'help:mechanics' %}">Game mechanics</a>
                <ul>
                    <li><a href="{% url 'help:mechanics' %}#geography">Geography</a></li>
                    <li><a href="{% url 'help:mechanics' %}#travel">Travel</a></li>
                    <li><a href="{% url 'help:mechanics' %}#passage_of_time">Passage of time</a></li>
                    <li><a href="{% url 'help:mechanics' %}#concept_of_organisations">The concept of organizations</a></li>
                    <li><a href="{% url 'help:mechanics' %}#realms">Realms</a></li>
                    <li><a href="{% url 'help:mechanics' %}#organization_capabilities">Organization capabilities</a></li>
                    <li><a href="{% url 'help:mechanics' %}#policy_writing">Policy writing</a></li>
                    <li><a href="{% url 'help:mechanics' %}#power_relationships">Power relationships</a></li>
                    <li><a href="{% url 'help:mechanics' %}#democracy">Democracy</a></li>
                    <li><a href="{% url 'help:mechanics' %}#inheritance">Inheritance</a></li>
                    <li><a href="{% url 'help:mechanics' %}#character_profiles">Character profiles</a></li>
                    <li><a href="{% url 'help:mechanics' %}#diplomacy">Diplomacy</a></li>
                    <li><a href="{% url 'help:mechanics' %}#military_stance">Military stance</a></li>
                    <li><a href="{% url 'help:mechanics' %}#military_units">Military units: recruitment, status, payment</a></li>
                    <li><a href="{% url 'help:mechanics' %}#battle_creation">Battle creation</a></li>
                    <li><a href="{% url 'help:mechanics' %}#battle_start">Battle start</a></li>
                    <li><a href="{% url 'help:mechanics' %}#battle_orders">Battle orders</a></li>
                    <li><a href="{% url 'help:mechanics' %}#battle_end">Battle end</a></li>
                    <li><a href="{% url 'help:mechanics' %}#conquest">Conquest</a></li>
                    <li><a href="{% url 'help:mechanics' %}#economy_trade_taxation">Economy, trade and taxation</a></li>
                    <li><a href="{% url 'help:mechanics' %}#demography_public_order">Demography and public order</a></li>
                </ul>
            </li>
            <li>
                <a href="{% url 'help:about' %}">About</a>
                <ul>
                </ul>
            </li>
        </ol>

    </div>

{% endblock %}